Show / Hide Table of Contents

# Interface IPresence

Represents the user's presence status. This may include their online status and their activity.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IPresence

### Properties

| Improve this Doc View Source

#### ActiveClients

Gets the set of clients where this user is currently active.

##### Declaration

    IImmutableSet<ClientType> ActiveClients { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Immutable.IImmutableSet<ClientType> |

| Improve this Doc View Source

#### Activity

Gets the activity this user is currently doing.

##### Declaration

    IActivity Activity { get; }

##### Property Value

Type | Description
--- | ---
IActivity |

| Improve this Doc View Source

#### Status

Gets the current status of this user.

##### Declaration

    UserStatus Status { get; }

##### Property Value

Type | Description
--- | ---
UserStatus |